<link rel="stylesheet" href="nui.css" />
<body>
    <div id='context' style="background:#aaa;width:100px;height:100px;"></div>
    <script src="nui.js"></script>
    <style>
    
	
	.inlineStart{
		width: 300px;
		display: flex;
		justify-content: space-between;
		flex-direction: row;
		align-content: stretch;
	}
    </style>
    <script>
        contextMenu($n("#context"),[
            {
                name:"Zeit",
                elems:[
                    {name:"Zeit setzen",fun:()=>{
                        var t = openWindow({
                            title:"Dauer Setzen",
                            multi:[
                                {name:"dauer",placeholder:"Stunden"},
                                {name:"test",type:"select",value:2,options:[
                                    {name:"SEL1",value:1},
                                    {name:"SEL2",value:2}
                                ]}
                            ],
                            
                        });
                        t.then(d=>console.log(Math.ceil(d.dauer*60)));

                    }},
                    {name:"Um 1h Verschieben",fun:()=>console.log("Hi2")},
                    {name:"Um 1d Verschieben",fun:()=>console.log("Hi3")}
                ]
            },
            {
                name:"Zuweisung setzen"
            },
            {
                name:"LeistungsTyp",
                elems:[
                    {name:"Getätigte Leistung"},
                    {name:"Termin"},
                    {name:"Termin Vormerkung"}
                ]
            }
        ]);
    
        var w = openWindow({width:400,multi:[
            {
                type:"span",
                text:"Hey"
            }, { 
                name:"text1" ,
                onchange:function(e){console.log(this);this.multiFields.test2.renewOptions();}
            },
            ".br",
            ".br",
            {
                name:"test2",
                type:"select",
                value:2,
                options:()=>{
                    return [{name:"SEL "+Math.floor(Math.random()*20),value:1},
                            {name:"SEL "+Math.floor(Math.random()*20),value:2}]
                },
                onchange:function(e){console.log(this)}
            }, {
                name:"test2",
                type:"select",
                value:2,
                options:(e)=>{
                    return (e.multiFields.text1.element.value)?e.multiFields.text1.element.value.split(","):[];
                }
            },{
                name:"textarea",
                type:"textarea",
                value:2
            },
            ".br"
        ]});
        w.then(d=>console.log(d));

    </script>
</body>